Features (Infrastructure)
Configure features of fulfillmenttools.
The available feature for all active modules
Feature
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42FeatureStatus
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/features HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}
]Name of the feature requested
The requested feature
Feature
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42FeatureStatus
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Entity not found
GET /api/features/{featureName} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"name": "text",
"status": "enabled",
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}Name of the feature requested
FeaturePatchActions
The version of the document to be used in optimistic locking mechanisms.
42Module was found & patch-set has been applied. The patched entity is in the body.
Feature
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42FeatureStatus
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Entity not found
Entity version conflict
PATCH /api/features/{featureName} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 72
{
"actions": [
{
"action": "ModifyFeature",
"status": "enabled"
}
],
"version": 42
}{
"name": "text",
"status": "enabled",
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}This part of the API is in Beta status. For details, see the API release lifecycle documentation.
id of the facility
All ScopedCapabilities which are at least inactive
ScopedCapability
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42CapabilityStatus
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Entity not found
GET /api/scopedcapabilities HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}
]Last updated
Was this helpful?

